/* Copyright (c) 2009, Oracle and/or its affiliates. All rights reserved. */ 

// clientUIDoc.cpp : implementation of the CclientUIDoc class
//

#include "stdafx.h"
#include "clientUI.h"

#include "clientUIDoc.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#endif


// CclientUIDoc

IMPLEMENT_DYNCREATE(CclientUIDoc, CDocument)

BEGIN_MESSAGE_MAP(CclientUIDoc, CDocument)
END_MESSAGE_MAP()

// CclientUIDoc construction/destruction

CclientUIDoc::CclientUIDoc()
{
	// TODO: add one-time construction code here

}

CclientUIDoc::~CclientUIDoc()
{
}

BOOL CclientUIDoc::OnNewDocument()
{
	if (!CDocument::OnNewDocument())
		return FALSE;

	// TODO: add reinitialization code here
	// (SDI documents will reuse this document)

	return TRUE;
}

// CclientUIDoc serialization

#ifndef _WIN32_WCE_NO_ARCHIVE_SUPPORT
void CclientUIDoc::Serialize(CArchive& ar)
{
	(ar);
}
#endif // !_WIN32_WCE_NO_ARCHIVE_SUPPORT


// CclientUIDoc diagnostics

#ifdef _DEBUG
void CclientUIDoc::AssertValid() const
{
	CDocument::AssertValid();
}
#endif //_DEBUG


// CclientUIDoc commands

